SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions | Variables
DS_Table.cpp File Reference
`#include "slikenet/DS_Table.h"`
`#include "slikenet/DS_OrderedList.h"`
`#include <string.h>`
`#include "slikenet/assert.h"`
`#include "slikenet/Itoa.h"`
`#include "slikenet/linux_adapter.h"`
`#include "slikenet/osx_adapter.h"`

Go to the source code of this file.

## Functions

void | ExtendRows (Table::Row *input, int index)
void | FreeRow (Table::Row *input, int index)
int | RowSort (Table::Row *const &first, Table::Row *const &second)

## Variables

static Table::SortQuery * | _sortQueries
static unsigned | _numSortQueries
static DataStructures::List < unsigned > * | _columnIndices
static DataStructures::List < Table::ColumnDescriptor > * | _columns

## Function Documentation

void ExtendRows | ( | Table::Row * | input,
|  | int | index
| ) |  |

Definition at line 27 of file DS_Table.cpp.

References _FILE_AND_LINE_, DataStructures::Table::Row::cells, and DataStructures::List< list_type >::Insert().

Referenced by DataStructures::Table::AddColumn().

void FreeRow | ( | Table::Row * | input,
|  | int | index
| ) |  |

Definition at line 32 of file DS_Table.cpp.

References _FILE_AND_LINE_, DataStructures::Table::Row::cells, SLNet::OP_DELETE(), and DataStructures::List< list_type >::Size().

Referenced by DataStructures::Table::Clear().

int RowSort | ( | Table::Row *const & | first,
|  | Table::Row *const & | second
| ) |  |

Definition at line 849 of file DS_Table.cpp.

References _columns, _numSortQueries, _sortQueries, DataStructures::Table::Row::cells, DataStructures::Table::NUMERIC, and DataStructures::Table::QS_INCREASING_ORDER.

## Variable Documentation

DataStructures::List<unsigned>* _columnIndices

static

Definition at line 847 of file DS_Table.cpp.

Referenced by DataStructures::Table::SortTable().

DataStructures::List<Table::ColumnDescriptor>* _columns

static

Definition at line 848 of file DS_Table.cpp.

Referenced by RowSort(), and DataStructures::Table::SortTable().

unsigned _numSortQueries

static

Definition at line 846 of file DS_Table.cpp.

Referenced by RowSort(), and DataStructures::Table::SortTable().

Table::SortQuery* _sortQueries

static

Definition at line 845 of file DS_Table.cpp.

Referenced by RowSort(), and DataStructures::Table::SortTable().